// wgsumenuDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWgsumenuDlg dialog

#if ! defined( CWGSUMENUDLG_H )
#  define CWGSUMENUDLG_H

#include  "gcommlib.h"

class CWgsumenuDlg : public CDialog
{
// Construction
public:
	CString GetRunName();
	~CWgsumenuDlg();
	int GetExitCode();
	CWgsumenuDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWgsumenuDlg)
	enum { IDD = IDD_WGSUMENU_DIALOG };
	CListBox	m_utilList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWgsumenuDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWgsumenuDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRun();
	afx_msg void OnDblclkUtillist();
	virtual void OnCancel();
	afx_msg void OnDoubleclickedCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CString m_runName;
	int exitcode;
	void RunApp( int chosen );
     VOID setStdUtils(VOID);
     VOID getOthUtils(VOID);
     GBOOL isExit1Type(const CHAR *chkItem);
     GBOOL isExit2Type(const CHAR *chkItem);

};

#endif
